import { ElementRef, OnInit, OnDestroy } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { AnchorService } from './anchor.service';
export declare class AnchorComponent implements OnInit, OnDestroy {
    private elementRef;
    private anchorService;
    private activatedRoute;
    id: string;
    name: string;
    set offset(v: number);
    get offset(): number;
    params: any;
    queryParams: any;
    get path(): string;
    private _offset;
    private hashChangeIsFromSelf;
    private scrollObs;
    private scrollEvent;
    private subs;
    constructor(elementRef: ElementRef, offset: number, anchorService: AnchorService, activatedRoute: ActivatedRoute);
    ngOnInit(): void;
    ngOnDestroy(): void;
    scroll(): void;
}
